Table of Contents

Class: atom | ../bkchem/oasa/oasa/atom.py
--- | ---
Base Classes |
--- | ---
chem_vertex
Methods |
--- | ---
__init__ __str__ gen_CIP_sequence get_neighbors_CIP_sorted is_chiral matches raise_valency raise_valency_to_senseful_value
| __init__
    __init__ (
            self,
            symbol='C',
            charge=0,
            coords=None,
            )
| __str__
    __str__ ( self )
| gen_CIP_sequence
    gen_CIP_sequence (
            self,
            iter_over=None,
            came_from=None,
            )
generates the CIP (Cahn-Ingold-Prelog) stream of atoms suitable for comparison in searches for chiral centres, their configuration etc., the values in different layers (with raising distance from self) are separated by Nones
Exceptions |
--- | ---
StopIteration
| get_neighbors_CIP_sorted
    get_neighbors_CIP_sorted ( self )
return neighbors sorted according to the CIP rules
| is_chiral
    is_chiral ( self )
this code is CIP (Cahn-Ingold-Prelog) based and therefore not necessarily the fastest for this job, however in newer versions it will be able to take care of the chirality of other centres and therefor will be universal, for now it takes only care of the connectivity
| matches
    matches ( self,  other )
| raise_valency
    raise_valency ( self )
used in case where valency < occupied_valency to try to find a higher one
| raise_valency_to_senseful_value
    raise_valency_to_senseful_value ( self )
set atoms valency to the lowest possible, so that free_valency if non-negative (when possible) or highest possible, does not lower valency when set to higher then necessary value

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1